<?php

namespace Modules\Additional\Specifique\Client128\Modules\Liste\Service;

use Helpers\Outil\Sql;
use Modules\GlobalApplication\Repository\UO;

class SpecifiqueSI
{
    /**
     * @param \PDO $pdo
     * @param array<mixed> $param
     * @return string
     */
    public static function clauseSI(\PDO $pdo, $param) : string
    {
        $listeUOUser = (new UO($pdo))->getListeUOUser();

        $uoFilter = implode("','", array_column($listeUOUser, 'UOCode', 'UOCode'));

        $req = " or SECTIMPU.CODE_SI in ('".$uoFilter."')";

        return $req;
    }
}
